import { createStore } from 'vuex';

export default createStore({
  state: {
    twitterList: [],
  },
  mutations: {
    setTwitterList(state, twitterList) {
      state.twitterList = twitterList;
    },
  },
  actions: {
    
    async fetchTwitterList({ commit }) {
      const response = await fetch('/api/user/twitter');
      const data = await response.json();
      commit('setTwitterList', data);
    },
    // eslint-disable-next-line no-unused-vars
    async startSpider({ commit }, { username }) {
      try {
        await fetch(`/api/user/spider`, {
          method: 'POST',
          body: JSON.stringify({ username }),
          headers: {
            'Content-Type': 'application/json',
          },
        });
      } catch (error) {
        console.error('Error starting spider:', error);
      }
    },
  },
});
